# Client

class kittycad.Client(base_url='https://api.kittycad.io', *, token, cookies=NOTHING, headers=NOTHING, timeout=50.0, verify_ssl=True)

  Bases: `object`

  A Client which has been authenticated for use on secured endpoints of the KittyCAD API.

  Methods Summary

  `get_cookies`()

  rtype

    `Dict`[`str`, `str`]

  `get_headers`() | Get headers to be used in all endpoints

  `get_timeout`()

  rtype

    `float`

  `with_cookies`(cookies) | Get a new client matching this one with additional cookies
  `with_headers`(headers) | Get a new client matching this one with additional headers
  `with_timeout`(timeout) | Get a new client matching this one with a new timeout (in seconds)

  Methods Documentation

  get_cookies()
    Return type

      `Dict`[`str`, `str`]

  get_headers()

    Get headers to be used in all endpoints

    Return type

      `Dict`[`str`, `str`]

  get_timeout()
    Return type

      `float`

  with_cookies(cookies)

    Get a new client matching this one with additional cookies

    Return type

      `Client`

  with_headers(headers)

    Get a new client matching this one with additional headers

    Return type

      `Client`

  with_timeout(timeout)

    Get a new client matching this one with a new timeout (in seconds)

    Return type

      `Client`